Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692316 - app-office/ledger-3.1.2 uses internal copy of dev-libs/utfcpp and fails to build with >=dev-libs/utfcpp-3.0
Summary: app-office/ledger-3.1.2 uses internal copy of dev-libs/utfcpp and fails to bu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Erik Mackdanz
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 689132
Blocks:
  Show dependency tree
 
Reported: 2019-08-17 01:30 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-05-24 20:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2019-08-17 01:30:00 UTC
app-office/ledger-3.1.2 has dependency on dev-libs/utfcpp, but it actually uses internal copy of this library.

If you add in ebuild in src_prepare():
rm -r lib/utfcpp || die

Then you will see:

...
-- Performing Test HAVE_WORKING_UTFCPP
-- Performing Test HAVE_WORKING_UTFCPP - Failed
CMake Error at CMakeLists.txt:289 (message):
  Missing required header file: utf8.h

  Define UTFCPP_PATH or install utfcpp locally into the source tree below
  lib/utfcpp/.


-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/app-office/ledger-3.1.2/work/ledger-3.1.2_build/CMakeFiles/CMakeOutput.log".
See also "/var/tmp/portage/app-office/ledger-3.1.2/work/ledger-3.1.2_build/CMakeFiles/CMakeError.log".
 * ERROR: app-office/ledger-3.1.2::gentoo failed (configure phase):
 *   cmake failed
Comment 1 Arfrever Frehtes Taifersar Arahesis 2019-08-17 01:51:16 UTC
With this:
[[[
--- app-office/ledger/ledger-3.1.2.ebuild
+++ app-office/ledger/ledger-3.1.2.ebuild
@@ -77,6 +77,9 @@ src_prepare() {
                || die "Failed to update info file name in file contents"
 
        mv doc/ledger{3,}.texi || die "Failed to rename info file name"
+
+       # Delete internal copy of dev-libs/utfcpp
+       rm -r lib/utfcpp || die
 }
 
 src_configure() {
@@ -88,6 +91,7 @@ src_configure() {
                -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=ON
                -DBUILD_DEBUG="$(usex debug)"
                -DUSE_PYTHON27_COMPONENT=yes
+               -DUTFCPP_PATH="/usr/include/utf8cpp"
        )
 
        cmake-utils_src_configure
]]]

dev-libs/utfcpp can be detected, but compilation failure occurs later:
https://github.com/ledger/ledger/issues/1816
Comment 2 Gleb 2020-05-01 18:36:00 UTC
This was fixed in 3.2.0:
https://github.com/ledger/ledger/releases/tag/v3.2.0
Comment 3 Larry the Git Cow gentoo-dev 2020-05-24 20:28:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4273258658eda38bae5be3258bcf0ff44ac2f96e

commit 4273258658eda38bae5be3258bcf0ff44ac2f96e
Author:     Gleb Nemshilov <gleb@fastmail.com>
AuthorDate: 2020-05-07 15:00:02 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-05-24 20:28:14 +0000

    app-office/ledger: add 3.2.0 with py3.7, py3.8 support
    
    Add Python 3.7 & 3.8 support
    Use external utf8cpp library
    Add bash-completion support
    Remove "emacs" USE flag
    
    Closes: https://bugs.gentoo.org/689132
    Bug: https://bugs.gentoo.org/721478
    Closes: https://bugs.gentoo.org/692316
    Signed-off-by: Gleb Nemshilov <gleb@fastmail.com>
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Closes: https://github.com/gentoo/gentoo/pull/15680
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/ledger/Manifest            |   1 +
 app-office/ledger/ledger-3.2.0.ebuild | 115 ++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)